Home | ClipperLib | Clipper |

# Clipper.PreserveCollinear

Del.» property PreserveCollinear: boolean; override;

C++ » void PreserveCollinear(bool value);

C# » public bool PreserveCollinear { get {} set {} };

By default, when three or more vertices are collinear in input polygons (subject or clip), the Clipper object removes the 'inner' vertices before clipping. When enabled the PreserveCollinear property prevents this default behavior to allow these inner vertices to appear in the solution.

## See Also

Constructor

Copyright ©2010-2014 Angus Johnson - Clipper 6.2.1 - Help file built on 1-November-2014